package com.ruoyi.system.entity.runbpm;


/**
 * 共通投产实体类
 *
 * @author hanzihang
 * @date 2023/11/1
 */
public class IntoProduction {

    // 流程别名
    private String taskProcessKey;

    // 投产表名
    private String tableName;

    // 默认 state
    private String statusKey;

    // 修改状态值
    private String statusVal;

    // 当前表主键值
    private String guid;

    public IntoProduction() {
    }

    public IntoProduction(String taskProcessKey, String tableName, String statusKey, String statusVal, String guid) {
        this.taskProcessKey = taskProcessKey;
        this.tableName = tableName;
        this.statusKey = statusKey;
        this.statusVal = statusVal;
        this.guid = guid;
    }

    public String getTaskProcessKey() {
        return taskProcessKey;
    }

    public void setTaskProcessKey(String taskProcessKey) {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getStatusKey() {
        return statusKey;
    }

    public void setStatusKey(String statusKey) {
        this.statusKey = statusKey;
    }

    public String getStatusVal() {
        return statusVal;
    }

    public void setStatusVal(String statusVal) {
        this.statusVal = statusVal;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("IntoProduction{");
        sb.append("taskProcessKey='").append(taskProcessKey).append('\'');
        sb.append(", tableName='").append(tableName).append('\'');
        sb.append(", statusKey='").append(statusKey).append('\'');
        sb.append(", statusVal='").append(statusVal).append('\'');
        sb.append(", guid='").append(guid).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
